import 'package:flutter/material.dart';
import 'package:hybrid_stack_manager/router.dart';
import 'package:hybrid_stack_manager/hybrid_stack_manager.dart';
import 'package:hybrid_stack_manager/router_option.dart';
import 'app_config.dart';
import 'my_app.dart';

//void main() {
//  debugPaintSizeEnabled = false; //打开视觉调试开关
//  return runApp(_widgetForRoute(window.defaultRouteName));
//
//}

void main() async {
  AppConfig.sharedInstance();
  HybridStackManagerPlugin plugin =
      HybridStackManagerPlugin.hybridStackManagerPlugin;
  Map args = await plugin.getMainEntryParams();
  runApp(new MyApp());
  if (args != null && args["url"] != null) {
    RouterOption routeOption = new RouterOption(
        url: args["url"], query: args["query"], params: args["params"]);
    Router.sharedInstance().pushPageWithOptionsFromFlutter(
        routeOption: routeOption, animated: false);
  }
}


